<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncLoggedUserClientsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $returnable = [
            "pes_codigo" => $this->person->pes_codigo,
            "pes_nome" => $this->person->pes_nome,
            "pes_razao_social" => $this->person->pes_razao_social,
            "pes_identificador" => $this->person->pes_identificador,
            "contact" => new SyncContactResource($this->person->contact_default) ?? null,
            "address" => new SyncAddressResource($this->person->address_default) ?? null
        ];
        return $returnable;
    }
}
