<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;
use phpDocumentor\Reflection\Types\Parent_;
use Schaffen\Core\Movement\Models\SalesOrder;

class SyncOrderResource extends Resource
{
    public function toArray($request)
    {
        if($this['status_code'] == 200 || $this['status_code'] == 500){
            return parent::toArray($this);
        }

        return [
            "id" => $request['id'] ?? null,
            "pev_codigo" => $this->pev_codigo ?? null,
            "pev_status" => $this->testStatus($this),
            "pev_data_movel" => $this->pev_data_movel ?? null,
            "pev_date_insert" => $this->pev_date_insert ?? null,
            "cliente" => [
                "pes_nome" => $this->cliente->pes_nome ?? null,
                "pes_identificador" => $this->cliente->pes_identificador ?? null,
                "pee_cidade" => $this->cliente->address_default->pee_cidade ?? null,
                "pee_uf" => $this->cliente->address_default->pee_uf ?? null,
                "peco_contato" => $this->cliente->contact_default->peco_contato ?? null,
                "peco_telefone" => $this->cliente->contact_default->peco_telefone ?? null,
            ],
            "itens" => SyncOrderItemResource::collection($this->itens_do_pedido) ?? [],
            "forma_pagamento" => SyncOrderPaymentFormResource::collection($this->forma_pagamento_pedido) ?? null,
        ];
    }

    public function testStatus($teste)
    {
        if($teste->pev_cancelado){
            return "Cancelado";
        }
        if(!$teste->pev_fk_ven_codigo && !$teste->pev_cancelado){
            return "Em aberto";
        }
        if($teste->pev_fk_ven_codigo && !$teste->pev_cancelado){
            return "Faturado";
        }
    }
}
