<?php


namespace App\RestApi\HumanResources\Requests;


use Freelabois\LaravelQuickstart\Traits\RequestValidator;
use Illuminate\Foundation\Http\FormRequest;

class ClockRequest extends FormRequest
{
    use RequestValidator;

    public $post_rules = [
        "pnt_data" => "required|string|date_format:Y-m-d H:i:s",
        "pnt_operacao" => "required|integer|min:0|max:1",
        "pnt_fk_usu_codigo" => "required|integer|exists:dynamicdb.acesso.usuario,usu_codigo"
    ];

    public $put_rules = [
        "pnt_data" => "sometimes|string|date_format:Y-m-d H:i:s",
        "pnt_operacao" => "sometimes|integer|min:0|max:1",
        "pnt_fk_usu_codigo" => "sometimes|integer|exists:dynamicdb.acesso.usuario,usu_codigo"
    ];

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

}
