<?php

namespace App\RestApi\ProductionOrder\Controllers;

use App\Http\Controller;
use App\RestApi\ProductionOrder\Requests\StoreStatusRequest;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\ProductionOrder\ProductionOrder\Managers\StatusManager;
use Schaffen\ProductionOrder\ProductionOrder\Repositories\StatusRepository;

class StatusController extends Controller
{
    //
    use Crudable;

    public function __construct(
        StatusManager $manager,
        StatusRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }


    public function store(StoreStatusRequest $request)
    {

        $sanitized = $request->all();

        return $this->manager->storeOrUpdate($sanitized, $sanitized['st_codigo'] ?? NULL);
    }


    public function index() {
        return $this->repository->findMany();
    }
}
