<?php


/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->group(function () {
    Route::get('sync', 'Synchronization\Controllers\SyncController@sync')->name('sync');
    Route::post('sync', 'Synchronization\Controllers\SyncController@uploadSync')->name('sync.post');
    Route::get('sync_route', 'Synchronization\Controllers\SyncChargeController@sync')->name('sync.route');
    Route::post('sync_route', 'Synchronization\Controllers\SyncChargeController@uploadSync')->name('sync.route.post');

//    -------------------------------------------------------------------------------------Rotas Usuario
    Route::apiResource('/usuario', "Synchronization\Controllers\SyncUsuarioController");

//    -------------------------------------------------------------------------------------Rotas Clientes
    Route::get('clientes', 'Synchronization\Controllers\RouteController@clientsAll');
    Route::post('route/busca-cliente', 'Synchronization\Controllers\RouteController@buscarCliente');
    Route::get('route/todos-clientes', 'Synchronization\Controllers\RouteController@todosClientesEmRota');
    Route::get('rotas-usuario-logado', 'Synchronization\Controllers\RouteController@rotaUsuarioLogado');

//    --------------------------------------------------------------------------------------Rotas de Rotas(vendedor-Cliente)
    Route::get('route/rotas-por-vendedor/{id}', 'Synchronization\Controllers\RouteController@rotasPorVendedor');
    Route::apiResource('route', 'Synchronization\Controllers\RouteController');
    Route::apiResource('route_address', 'Synchronization\Controllers\RouteAddressController');


//    --------------------------------------------------------------------------------------Rotas Produtos
    Route::apiResource('/produtos', "Synchronization\Controllers\SyncProductController");
    Route::get('sync_produtos', 'Synchronization\Controllers\SyncProductController@produtosMobile');
    Route::post('/estoque', "Synchronization\Controllers\SyncProductController@buscaEstoque");

//    -------------------------------------------------------------------------------------Rotas Pedidos


    Route::get('formas-de-pagamento', 'Synchronization\Controllers\SyncProductController@formasDePagamento');

//     -------------------------------------------------------------------------------------Rotas Preços
    Route::get('sync_precos_cliente', 'Synchronization\Controllers\SyncPriceController@precosCliente');
//    Route::post('sync_precos', 'Synchronization\Controllers\SyncProductController@precosMobile');

//     -------------------------------------------------------------------------------------Rotas Vendas
    Route::get('sync_vendas', 'Synchronization\Controllers\SyncSalesController@vendasPorVendedor');
    Route::post('adicionar_venda', 'Synchronization\Controllers\SyncSalesController@addVenda');
    Route::post('cancelar_venda', 'Synchronization\Controllers\SyncSalesController@cancelarVenda');

    Route::group(['prefix' => '{user}', 'middleware' => 'inject.filters.me'], function () {
        Route::group(['prefix' => 'pedidos'], function () {
            Route::post('adicionar', 'Synchronization\Controllers\SyncOrderController@addPedido');
            Route::post('cancelar', 'Synchronization\Controllers\SyncOrderController@cancelarPedido');
            Route::get('ultimos', 'Synchronization\Controllers\SyncOrderController@ultimosPedidos');
        });

        Route::group(['prefix' => 'clientes'], function () {
            Route::apiResource('', 'Synchronization\Controllers\SyncClientController');
        });
    });
});


include_once 'mobile/unauthenticated/api.php';
